# Third Party Library

- Css Selectors
   - [Fizzler](#fizzler)
   - [HtmlAgilityPack.CssSelectors](#htmlagilitypackcssselectors)
- Crawling
	- [DotnetSpider.HtmlAgilityPack](#dotnetspiderhtmlagilitypack)
	- [ScrapySharp](#scrapysharp)
- Others
	- [OYMLCN.HtmlAgilityPack](#oymlcnhtmlagilitypack)
	- [TextDiscovery.HtmlAgilityPack](#textdiscoveryhtmlagilitypack)
	
<br />
_Contact us (info@zzzprojects.com) if you want your package added here._

## Css Selectors

### Fizzler
NuGet: [https://www.nuget.org/packages/Fizzler.Systems.HtmlAgilityPack/](https://www.nuget.org/packages/Fizzler.Systems.HtmlAgilityPack/){:target="_blank"}

#### Description
Fizzler is a W3C Selectors parser and generic selector framework for document hierarchies. This package enables Fizzler over HTMLAgilityPack, adding QuerySelector and QuerySelectorAll (from Selectors API Level 1) for HtmlNode objects.

### HtmlAgilityPack.CssSelectors
NuGet: [https://www.nuget.org/packages/HtmlAgilityPack.CssSelectors/](https://www.nuget.org/packages/HtmlAgilityPack.CssSelectors/){:target="_blank"}

NuGet: [https://www.nuget.org/packages/HtmlAgilityPack.CssSelectors.NetCore/](https://www.nuget.org/packages/HtmlAgilityPack.CssSelectors.NetCore/){:target="_blank"}

#### Description
HtmlAgilityPack.CssSelectors provides an Extension Method for HtmlAgilityPack HtmlDocument and HtmlNode classes.

It is a handy tool for Web Scrapers, and a good alternative to HAP XPath querie

## Crawling

### DotnetSpider.HtmlAgilityPack
NuGet: [https://www.nuget.org/packages/DotnetSpider.HtmlAgilityPack/](https://www.nuget.org/packages/DotnetSpider.HtmlAgilityPack/){:target="_blank"}

### ScrapySharp
NuGet: [https://www.nuget.org/packages/ScrapySharp/](https://www.nuget.org/packages/ScrapySharp/){:target="_blank"}

#### Description
Scraping Framework containing :
- a web client able to simulate a web browser.
- an HtmlAgilityPack extension to select elements using css selector (like JQuery)

## Others

### OYMLCN.HtmlAgilityPack 
NuGet: [https://www.nuget.org/packages/OYMLCN.HtmlAgilityPack/](https://www.nuget.org/packages/OYMLCN.HtmlAgilityPack/){:target="_blank"}

#### Description
- HtmlAgilityPackExtension
- String.AsAgilityHtml()
- HtmlNode.GetInnerHtml
- HtmlNode.GetInnerText
- HtmlNode.GetAttributeValue
- HtmlNode/HtmlNodeCollection
- GetIdNode
- GetDescendants
- GetAttributeNode、GetAttributeNodes
- GetClassNameNode、GetClassNameNodes

### TextDiscovery.HtmlAgilityPack
NuGet: [https://www.nuget.org/packages/TextDiscovery.HtmlAgilityPack/](https://www.nuget.org/packages/TextDiscovery.HtmlAgilityPack/){:target="_blank"}

#### Description
TextDiscovery HtmlAgilityPack implementations of IDomInterpreter, IDomNodeFactory, and IHtmlConverter.  Enables the following capabilities: mark search hits in the DOM, create HTML excerpts at a given word count with configurable element-breaking rules, and more.


   
-